Bug 128608 - htt_server denies root access
htt_server denies root access
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2004-07-26 22:26 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 21:18:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-07-26 22:26:47 EDT
Description of problem:
In all CJK locale, root user is unable to use iiimf. However, normal
user will no special previleges has no problem with the input method.

Version-Release number of selected component (if applicable):
- 11.4-65.svn1804
- FC3-Test1
- disable selinux

How reproducible:

Steps to Reproduce:
1. install im-sdk package
2. su -
3. LANG=zh_TW.UTF-8 GTK_IM_MODULE=iiim gedit
Actual results:
root unavble to use im-sdk

Expected results:
root able to use im-sdk like normal user

Additional info:

Allow the connection from localhost.
Denied the access from root@localhost.
Client shut down the connection owned by im_id(1).
Comment 1 Akira TAGOH 2004-08-26 07:06:49 EDT
should be fixed in 12.0.1-1.svn1891. please confirm it.
Comment 2 Lawrence Lim 2004-08-26 21:18:58 EDT
Great work! Confirm fixed in 12.0.1-1.svn1891.

Note You need to log in before you can comment on or make changes to this bug.